Updates an Employer
curl --request PATCH \
--url https://api.symmetry.com/i9/v1/employers/{employerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": {
"city": "Scottsdale",
"state": "AZ",
"streetAddress1": "14350 N 87 ST",
"streetAddress2": "STE 310",
"zipCode": "85260"
},
"federalEIN": "98-7654321",
"name": "Example Company",
"timezone": "America/New_York",
"webhook": {
"authentication": {
"authType": "basic",
"password": "webhook_password",
"username": "webhook_user"
},
"callbackUrl": "https://client-system.example.com/callbacks/i9",
"failureNotificationEmail": "webhook-alerts@example.com"
}
}
'import requests
url = "https://api.symmetry.com/i9/v1/employers/{employerId}"
payload = {
"address": {
"city": "Scottsdale",
"state": "AZ",
"streetAddress1": "14350 N 87 ST",
"streetAddress2": "STE 310",
"zipCode": "85260"
},
"federalEIN": "98-7654321",
"name": "Example Company",
"timezone": "America/New_York",
"webhook": {
"authentication": {
"authType": "basic",
"password": "webhook_password",
"username": "webhook_user"
},
"callbackUrl": "https://client-system.example.com/callbacks/i9",
"failureNotificationEmail": "webhook-alerts@example.com"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: {
city: 'Scottsdale',
state: 'AZ',
streetAddress1: '14350 N 87 ST',
streetAddress2: 'STE 310',
zipCode: '85260'
},
federalEIN: '98-7654321',
name: 'Example Company',
timezone: 'America/New_York',
webhook: {
authentication: {authType: 'basic', password: 'webhook_password', username: 'webhook_user'},
callbackUrl: 'https://client-system.example.com/callbacks/i9',
failureNotificationEmail: 'webhook-alerts@example.com'
}
})
};
fetch('https://api.symmetry.com/i9/v1/employers/{employerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"employer": {
"address": {
"city": "Scottsdale",
"state": "AZ",
"streetAddress1": "14350 N 87 ST",
"streetAddress2": "STE 310",
"zipCode": "85260"
},
"federalEIN": "98-7654321",
"id": "0195c93d-3a0e-7eab-9eb6-bf430d150873",
"name": "Example Company",
"timezone": "America/New_York",
"webhook": {
"authentication": {
"authType": "basic",
"id": "0195c93d-5a3e-8d9f-b7c6-ef452g361025",
"username": "webhook_user"
},
"callbackUrl": "https://client-system.example.com/callbacks/i9",
"failureNotificationEmail": "webhook-alerts@example.com",
"id": "0195c93d-4b2f-8c1d-a7e5-df560e278914"
}
}
}Updates an Employer
Updates an Employer associated with an Account
PATCH
/
v1
/
employers
/
{employerId}
Updates an Employer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Employer information
Address for a given Employer.
Show child attributes
Show child attributes
Federal Employer Identification Number for a given Employer.
Name for a given Employer.
Timezone for a given Employer.
Example:
"America/New_York"
Postback configuration for this employer.
Show child attributes
Show child attributes
Webhook configuration for this employer.
Show child attributes
Show child attributes
Response
OK
Employer response
Employer information
Show child attributes
Show child attributes
Was this page helpful?

